#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <stdbool.h>
#include <stddef.h>
#include <stddef.h>
#include <stdint.h>
#include <string.h>

void print_tab(int n, int tab[]) {
  assert (n >= 0);
  printf("{%i", tab[0]);
  for (int i = 1; i < n; i = i + 1) {
    printf(",%i",tab[i]);
  }
  printf("}\n");
}

int puissance(int a, int b) {
  assert (b >= 0);
  int i = 1;
  while (b > 0) {
    b = b - 1; i = i * a;
  }
  return i;
}

int eval(int d, int poly[], int x) {
  // poly est de taille (d+1)
  assert (d >= 0);
  int acc = 0;
  for (int i = 0; i <= d; i = i + 1) {
    acc = acc + poly[i] * puissance(x,i);
  }
  return acc;
}

int main(int argc, char *argv[]){
  int x = 2;
  int p[6] = {0,1,0,1,0,1};

  printf("%d\n",eval(5, p, x));
  return 0;
}
